<?php
if (!extension_loaded('zip')) {
	die ("Fatal error: Extension zip not loaded");
}
$fzip = new ZipArchive();
$filename = sys_get_temp_dir().DIRECTORY_SEPARATOR."project_files.zip";

if ($fzip->open($filename, ZipArchive::CREATE)!==TRUE) {
    exit("cannot open <$filename>\n");
}

$fzip->addFile("readme.txt");
$fzip->addFile("egsa87file.php");
$fzip->addFile("func.php" );
$fzip->addFile("index.php");
$fzip->addFile("help.php");
$fzip->addFile("transforms.php");
$fzip->addFile("wgs84file.php");
$fzip->addFile("zip.php");
$fzip->addFile("hatt2egsa.txt");
$fzip->addFile("dN_2km_V1-0.grd");
$fzip->addFile("dE_2km_V1-0.grd");
$fzip->addFile("data.ndx");

//echo "numfiles: " . $fzip->numFiles . "\n";
//echo "status:" . $fzip->status . "\n";

if ($fzip->close()===false) {
	echo "file did not close\n";
	exit;
}

header('Content-Type: application/zip');
header('Content-Length: ' . filesize($filename));
header('Content-Disposition: attachment; filename='.$filename);
readfile("$filename");
?>

